diff mbox

configure: Make missing pkg-config an error rather than a warning

Message ID 1316085356-632-1-git-send-email-peter.maydell@linaro.org
State New
Headers show

Commit Message

Peter Maydell Sept. 15, 2011, 11:15 a.m. UTC
If pkg-config doesn't exist then make configure fail immediately
with a useful error message. Now that glib is a required dependency,
proceeding despite the missing pkg-config will just cause us to
fail later with a misleading message about glib not being present.

Signed-off-by: Peter Maydell <peter.maydell@linaro.org>
---
 configure |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

Comments

Paolo Bonzini Sept. 15, 2011, 12:08 p.m. UTC | #1
On 09/15/2011 01:15 PM, Peter Maydell wrote:
> If pkg-config doesn't exist then make configure fail immediately
> with a useful error message. Now that glib is a required dependency,
> proceeding despite the missing pkg-config will just cause us to
> fail later with a misleading message about glib not being present.
>
> Signed-off-by: Peter Maydell<peter.maydell@linaro.org>
> ---
>   configure |    4 ++--
>   1 files changed, 2 insertions(+), 2 deletions(-)
>
> diff --git a/configure b/configure
> index 0875f95..6c2839d 100755
> --- a/configure
> +++ b/configure
> @@ -1339,8 +1339,8 @@ fi
>   # pkg-config probe
>
>   if ! has $pkg_config; then
> -  echo warning: proceeding without "$pkg_config">&2
> -  pkg_config=/bin/false
> +  echo "Error: pkg-config binary '$pkg_config' not found"
> +  exit 1
>   fi
>
>   ##########################################

Acked-by: Paolo Bonzini <pbonzini@redhat.com>

Paolo
Stefan Hajnoczi Sept. 15, 2011, 12:25 p.m. UTC | #2
On Thu, Sep 15, 2011 at 12:15:56PM +0100, Peter Maydell wrote:
> If pkg-config doesn't exist then make configure fail immediately
> with a useful error message. Now that glib is a required dependency,
> proceeding despite the missing pkg-config will just cause us to
> fail later with a misleading message about glib not being present.
> 
> Signed-off-by: Peter Maydell <peter.maydell@linaro.org>
> ---
>  configure |    4 ++--
>  1 files changed, 2 insertions(+), 2 deletions(-)

Thanks, applied to the trivial patches tree:
http://repo.or.cz/w/qemu/stefanha.git/shortlog/refs/heads/trivial-patches

Stefan
diff mbox

Patch

diff --git a/configure b/configure
index 0875f95..6c2839d 100755
--- a/configure
+++ b/configure
@@ -1339,8 +1339,8 @@  fi
 # pkg-config probe
 
 if ! has $pkg_config; then
-  echo warning: proceeding without "$pkg_config" >&2
-  pkg_config=/bin/false
+  echo "Error: pkg-config binary '$pkg_config' not found"
+  exit 1
 fi
 
 ##########################################